<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr        = $_REQUEST["ctr"];
    $hide       = $_REQUEST["hide"];
    $prodtype   = $_REQUEST["prodtype"];
    $hide_var   = "";
    
    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++;

    Echo "<tr>";
    Echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
    Echo "<td><input type='text' class='form-control form text-right srno' name='srno_$ctr' value='$mctr'></td>";
    Echo "<td>";
    Echo "<input type='text' class='form-control form barcode' name='barcode_$ctr' value=''>";
    Echo "</td>";
    Echo "<td>";
    Echo "<select class='form-control form item fetchpart_$ctr' name='item_$ctr' style='width:100%'>";
    Echo "<option value=''></option>";
    $gitem = mysqli_query($conn, 'SELECT `code`,`name` FROM `item` WHERE `prodtype`="'.$prodtype.'" order by name')or die(mysqli_error($conn));
    while ($item = mysqli_fetch_array($gitem)) {
        Echo "<option value='$item[code]'>$item[name]</option>";
    }
    Echo "</select>";
    Echo "<input type='hidden' class='msp' name='msp_$ctr' >";
    Echo "<input type='hidden' class='otprowsucs' name='otprowsucs_$ctr' >";
    Echo "<input type='hidden' class='otpvalue' id='otpvalue_$ctr' name='otpvalue_$ctr' >";
    Echo "</td>";
    Echo "<td><input type='text' class='form-control form text-right qty'      name='qty_$ctr'      value='0'></td>";
    Echo "<td>";
    Echo "<select class='form-control form unit select2' name='unit_$ctr' style='width:100%'>";
    Echo "<option value=''></option>";
    $gunit = mysqli_query($conn, 'SELECT `code`,`name` FROM `unit`')or die(mysqli_error($conn));
    while ($unit = mysqli_fetch_array($gunit)) {
        Echo "<option value='$unit[code]'>$unit[name]</option>";
    }
    Echo "</select>";
    Echo "</td>";
    Echo "<td><input type='text' class='form-control form text-right mrp'      name='mrp_$ctr'      value='0' readonly></td>";
    Echo "<td><input type='text' class='form-control form text-right rate'  id='rate_$ctr'   name='rate_$ctr'     value='0'></td>";
    Echo "<td><input type='text' class='form-control form text-right amount'   name='amount_$ctr'   value='0' readonly>
         <input type='hidden' class='form-control form text-right mspamount'   name='mspamount_$ctr'   value='0' readonly></td>";
//    Echo "<td><input type='text' class='form-control form text-right discperc' name='discperc_$ctr' value='0'></td>";
//    Echo "<td><input type='text' class='form-control form text-right discount' name='discount_$ctr' value='0' readonly></td>";
//    Echo "<td><input type='text' class='form-control form text-right total'    name='total_$ctr'    value='0' readonly></td>";
    Echo "</tr >";
    $ctr++;
} else {
    echo "ERROR";
}
?>
 